## libkgapi 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.3")

set(KGAPI_LIB_VERSION ${PIM_VERSION})

project(kgapi VERSION ${KGAPI_LIB_VERSION})

# ECM setup
set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)


set(KCALENDARCORE_LIB_VERSION "5.7.3")
set(KCONTACTS_LIB_VERSION "5.7.3")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KGAPI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfigVersion.cmake"
    SOVERSION 5
)

############## Find Packages ##############
set(REQUIRED_QT_VERSION "5.8.0")
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
    Core
    Network
    Widgets
    WebEngineWidgets
    Xml
)

find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS
    KIO
    WindowSystem
)

find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)

add_definitions( -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT )
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
# TODO FIX!
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x000000)

############## Targets ##############
add_subdirectory(src)
add_subdirectory(examples)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

############## CMake Config Files ##############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimGAPI")
set(KGAPI_KF5_COMPAT FALSE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGAPIConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPimGAPITargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPimGAPITargets.cmake
    NAMESPACE KPim::
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim"
    COMPONENT Devel
)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ecm_install_po_files_as_qm(poqm)

=== src/blogger/CMakeLists.txt ===
set(kgapiblogger_SRCS
    blog.cpp
    blogfetchjob.cpp
    bloggerservice.cpp
    comment.cpp
    commentapprovejob.cpp
    commentdeletecontentjob.cpp
    commentdeletejob.cpp
    commentfetchjob.cpp
    page.cpp
    pagecreatejob.cpp
    pagedeletejob.cpp
    pagefetchjob.cpp
    pagemodifyjob.cpp
    post.cpp
    postcreatejob.cpp
    postdeletejob.cpp
    postfetchjob.cpp
    postmodifyjob.cpp
    postpublishjob.cpp
    postsearchjob.cpp

    ../debug.cpp
)

ecm_generate_headers(kgapiblogger_CamelCase_HEADERS
    HEADER_NAMES
    Blog
    BlogFetchJob
    Comment
    CommentApproveJob
    CommentDeleteContentJob
    CommentDeleteJob
    CommentFetchJob
    Page
    PageCreateJob
    PageDeleteJob
    PageFetchJob
    PageModifyJob
    Post
    PostCreateJob
    PostDeleteJob
    PostFetchJob
    PostModifyJob
    PostPublishJob
    PostSearchJob
    PREFIX KGAPI/Blogger
    REQUIRED_HEADERS kgapiblogger_HEADERS
)

add_library(KPimGAPIBlogger
    ${kgapiblogger_SRCS}
)

generate_export_header(KPimGAPIBlogger BASE_NAME kgapiblogger)

add_library(KPim::GAPIBlogger ALIAS KPimGAPIBlogger)
# TODO: Backwards compatibility, remove in next major release
add_library(KF5::GAPIBlogger ALIAS KPimGAPIBlogger)
target_include_directories(KPimGAPIBlogger INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPIBlogger
PUBLIC
    KPim::GAPICore
PRIVATE
    Qt5::Network
)

set_target_properties(KPimGAPIBlogger PROPERTIES
    VERSION ${KGAPI_VERSION_STRING}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIBlogger
)

install(TARGETS
    KPimGAPIBlogger
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapiblogger_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Blogger"
    COMPONENT Devel
)

install(FILES
    ${kgapiblogger_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapiblogger_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/blogger"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIBlogger
    LIB_NAME KPimGAPIBlogger
    DEPS "GAPICore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/contacts/CMakeLists.txt ===
set(kgapicontacts_SRCS
    contact.cpp
    contactcreatejob.cpp
    contactdeletejob.cpp
    contactfetchjob.cpp
    contactfetchphotojob.cpp
    contactmodifyjob.cpp
    contactsgroup.cpp
    contactsgroupcreatejob.cpp
    contactsgroupdeletejob.cpp
    contactsgroupfetchjob.cpp
    contactsgroupmodifyjob.cpp
    contactsservice.cpp

    ../debug.cpp
)

ecm_generate_headers(kgapicontacts_CamelCase_HEADERS
    HEADER_NAMES
    Contact
    ContactCreateJob
    ContactDeleteJob
    ContactFetchJob
    ContactFetchPhotoJob
    ContactModifyJob
    ContactsGroup
    ContactsGroupCreateJob
    ContactsGroupDeleteJob
    ContactsGroupFetchJob
    ContactsGroupModifyJob
    PREFIX KGAPI/Contacts
    REQUIRED_HEADERS kgapicontacts_HEADERS
)

add_library(KPimGAPIContacts
    ${kgapicontacts_SRCS}
)

generate_export_header(KPimGAPIContacts BASE_NAME kgapicontacts)

add_library(KPim::GAPIContacts ALIAS KPimGAPIContacts)
# TODO: Backwards compatibility, remove in next major release
add_library(KF5::GAPIContacts ALIAS KPimGAPIContacts)
target_include_directories(KPimGAPIContacts INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPIContacts
PUBLIC
    KPim::GAPICore
    KF5::Contacts
PRIVATE
    Qt5::Xml
    Qt5::Network
)

set_target_properties(KPimGAPIContacts PROPERTIES
    VERSION ${KGAPI_VERSION_STRING}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIContacts
)

install(TARGETS
    KPimGAPIContacts
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapicontacts_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Contacts"
    COMPONENT Devel
)

install(FILES
    ${kgapicontacts_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapicontacts_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/contacts"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIContacts
    LIB_NAME KPimGAPIContacts
    DEPS "KPim::GAPICore KF5::Contacts Qt5::Xml"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/core/CMakeLists.txt ===
ecm_create_qm_loader(QM_LOADER libkgapi_qt)

set(kgapicore_SRCS
    accountinfo/accountinfo.cpp
    accountinfo/accountinfofetchjob.cpp
    private/newtokensfetchjob.cpp
    ui/authwidget.cpp
    ui/authwidget_p.cpp
    account.cpp
    authjob.cpp
    createjob.cpp
    deletejob.cpp
    fetchjob.cpp
    job.cpp
    modifyjob.cpp
    object.cpp
    utils.cpp
    ${QM_LOADER}

    ../debug.cpp
)

ecm_generate_headers(kgapicore_base_CamelCase_HEADERS
    HEADER_NAMES
    Account
    AuthJob
    CreateJob
    DeleteJob
    FetchJob
    Job
    ModifyJob
    Object
    Types
    Utils
    PREFIX KGAPI
    REQUIRED_HEADERS kgapicore_base_HEADERS
)

ecm_generate_headers(kgapicore_accountinfo_CamelCase_HEADERS
    HEADER_NAMES
    AccountInfo
    AccountInfoFetchJob
    REQUIRED_HEADERS kgapicore_accountinfo_HEADERS
    RELATIVE accountinfo
)

ecm_generate_headers(kgapicore_ui_CamelCase_HEADERS
    HEADER_NAMES
    AuthWidget
    REQUIRED_HEADERS kgapicore_ui_HEADERS
    RELATIVE ui
)

add_library(KPimGAPICore
    ${kgapicore_SRCS}
)

generate_export_header(KPimGAPICore BASE_NAME kgapicore)

add_library(KPim::GAPICore ALIAS KPimGAPICore)
# TODO: Backwards compatibility, remove in next major release
add_library(KF5::GAPICore ALIAS KPimGAPICore)
target_include_directories(KPimGAPICore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI;${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi>")

target_link_libraries(KPimGAPICore
PRIVATE
    KF5::KIOWidgets
    KF5::WindowSystem
    Qt5::WebEngineWidgets
PUBLIC
    Qt5::Widgets
)

set_target_properties(KPimGAPICore PROPERTIES
    VERSION ${KGAPI_VERSION_STRING}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPICore
)

install(TARGETS
    KPimGAPICore
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapicore_base_CamelCase_HEADERS}
    ${kgapicore_accountinfo_CamelCase_HEADERS}
    ${kgapicore_ui_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI"
    COMPONENT Devel
)

install(FILES
    ${kgapicore_base_HEADERS}
    ${kgapicore_accountinfo_HEADERS}
    ${kgapicore_ui_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapicore_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPICore
    LIB_NAME KPimGAPICore
    DEPS "Qt5::Widgets"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/drive/CMakeLists.txt ===
set(kgapidrive_SRCS
    about.cpp
    aboutfetchjob.cpp
    app.cpp
    appfetchjob.cpp
    change.cpp
    changefetchjob.cpp
    childreference.cpp
    childreferencecreatejob.cpp
    childreferencedeletejob.cpp
    childreferencefetchjob.cpp
    driveservice.cpp
    file.cpp
    fileabstractdatajob.cpp
    fileabstractmodifyjob.cpp
    fileabstractuploadjob.cpp
    filecopyjob.cpp
    filecreatejob.cpp
    filedeletejob.cpp
    filefetchcontentjob.cpp
    filefetchjob.cpp
    filemodifyjob.cpp
    filesearchquery.cpp
    filetouchjob.cpp
    filetrashjob.cpp
    fileuntrashjob.cpp
    parentreference.cpp
    parentreferencecreatejob.cpp
    parentreferencedeletejob.cpp
    parentreferencefetchjob.cpp
    permission.cpp
    permissioncreatejob.cpp
    permissiondeletejob.cpp
    permissionfetchjob.cpp
    permissionmodifyjob.cpp
    revision.cpp
    revisiondeletejob.cpp
    revisionfetchjob.cpp
    revisionmodifyjob.cpp
    user.cpp

    ../debug.cpp
)

ecm_generate_headers(kgapidrive_CamelCase_HEADERS
    HEADER_NAMES
    About
    AboutFetchJob
    App
    AppFetchJob
    Change
    ChangeFetchJob
    ChildReference
    ChildReferenceCreateJob
    ChildReferenceDeleteJob
    ChildReferenceFetchJob
    File
    FileAbstractDataJob
    FileAbstractModifyJob
    FileAbstractUploadJob
    FileCopyJob
    FileCreateJob
    FileDeleteJob
    FileFetchContentJob
    FileFetchJob
    FileModifyJob
    FileSearchQuery
    FileTouchJob
    FileTrashJob
    FileUntrashJob
    ParentReference
    ParentReferenceCreateJob
    ParentReferenceDeleteJob
    ParentReferenceFetchJob
    Permission
    PermissionCreateJob
    PermissionDeleteJob
    PermissionFetchJob
    PermissionModifyJob
    Revision
    RevisionDeleteJob
    RevisionFetchJob
    RevisionModifyJob
    User
    PREFIX KGAPI/Drive
    REQUIRED_HEADERS kgapidrive_HEADERS
)

add_library(KPimGAPIDrive
    ${kgapidrive_SRCS}
)

generate_export_header(KPimGAPIDrive BASE_NAME kgapidrive)

add_library(KPim::GAPIDrive ALIAS KPimGAPIDrive)
# TODO: Backwards compatibility, remove in next major release
add_library(KF5::GAPIDrive ALIAS KPimGAPIDrive)
target_include_directories(KPimGAPIDrive INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPIDrive
PUBLIC
    KPim::GAPICore
PRIVATE
    Qt5::Network
)

set_target_properties(KPimGAPIDrive PROPERTIES
    VERSION ${KGAPI_VERSION_STRING}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIDrive
)

install(TARGETS
    KPimGAPIDrive
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapidrive_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Drive"
    COMPONENT Devel
)

install(FILES
    ${kgapidrive_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapidrive_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/drive"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIDrive
    LIB_NAME KPimGAPIDrive
    DEPS "GAPICore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== debian/changelog ===
libkgapi (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:47 +0000

libkgapi (17.12.2-0ubuntu1) bionic; urgency=medium

  * 
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:27 +0000

libkgapi (17.08.3-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:19 +0000

libkgapi (17.04.3-0ubuntu2) UNRELEASED; urgency=medium

  * Correct kde-l10n:all Breaks/Replaces, they should be in libkf5gapi-
    data.
  * Make libkf5gapi-data Conflict+Replace libkf5gapi-data (<< 16.12)
    instead of Conflict+Break. When a package replaces another taking
    over any or all files, Conflicts/Replaces should be used, Conflicts
    and Breaks at the same time doesn't make much sense.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 03 Oct 2017 13:54:21 +0200

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5calendarcore-dev (>= 4:17.12.3~),
               libkf5contacts-dev (>= 4:17.12.3~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               libqt5webchannel5-dev,
               libqt5webkit5-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.6.0~),
               qtpositioning5-dev,
               qttools5-dev (>= 5.6.0~),
               qttools5-dev-tools (>= 5.6.0~),
               qtwebengine5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/libkgapi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkggapi

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:17.12.3~),
         libkf5contacts-dev (>= 4:17.12.3~),
         libkf5coreaddons-dev (>= 5.12.0~),
         libkpimgapiblogger5 (= ${binary:Version}),
         libkpimgapicalendar5 (= ${binary:Version}),
         libkpimgapicontacts5 (= ${binary:Version}),
         libkpimgapicore5 (= ${binary:Version}),
         libkpimgapidrive5 (= ${binary:Version}),
         libkpimgapilatitude5 (= ${binary:Version}),
         libkpimgapimaps5 (= ${binary:Version}),
         libkpimgapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpimgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5gapi-data (<< 16.12)
Breaks: ${kde-l10n:all}
Replaces: libkf5gapi-data (<< 16.12), ${kde-l10n:all}
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkf5gapi-data
Architecture: any
Depends: libkpimgapi-data, ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Google API library for KDE -- transitional
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This is a transitional package which can be safely removed.

Package: libkpimgapiblogger5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpimgapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpimgapicontacts5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkpimgapicore5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         libqt5webengine5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpimgapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpimgapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpimgapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpimgapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

## libkgapi 18.04.3

=== debian/changelog ===
libkgapi (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.28.0~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5coreaddons-dev (>= 5.28.0~),
                libkf5kio-dev (>= 5.28.0~),
                libkf5windowsystem-dev (>= 5.28.0~),
@@ -19,7 +19,7 @@
                qtpositioning5-dev,
                qttools5-dev (>= 5.6.0~),
                qttools5-dev-tools (>= 5.6.0~),
-               qtwebengine5-dev
+               qtwebengine5-dev,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/libkgapi
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
@@ -29,8 +29,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5calendarcore-dev (>= 4:17.12.3~),
-         libkf5contacts-dev (>= 4:17.12.3~),
+Depends: libkf5calendarcore-dev (>= 4:18.04.3~),
+         libkf5contacts-dev (>= 4:18.04.3~),
          libkf5coreaddons-dev (>= 5.12.0~),
          libkpimgapiblogger5 (= ${binary:Version}),
          libkpimgapicalendar5 (= ${binary:Version}),
@@ -41,7 +41,7 @@
          libkpimgapimaps5 (= ${binary:Version}),
          libkpimgapitasks5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Google API library for KDE -- development files
  LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
  for various Google services.

## libkgapi 18.08.3

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5Test CONFIG REQUIRED)

set(kgapitest_SRCS
    fakeaccountstorage.cpp
    fakeauthwidget.cpp
    fakenetworkreply.cpp
    fakenetworkaccessmanager.cpp
    fakenetworkaccessmanagerfactory.cpp
    testutils.cpp
)
add_library(kgapitest STATIC ${kgapitest_SRCS})
target_link_libraries(kgapitest Qt5::Core Qt5::Network Qt5::Test KPimGAPICore)



macro(add_libkgapi2_test _module _testname)
    set(testSources ${_module}/${_testname}.cpp)
    string(SUBSTRING ${_module} 0 1 moduleFirst)
    string(SUBSTRING ${_module} 1 -1 moduleLast)
    string(TOUPPER ${moduleFirst} moduleFirst)
    string(CONCAT moduleName ${moduleFirst} ${moduleLast})
    set(extraLibs "KPimGAPI${moduleName}")
    set(utilsFile ${CMAKE_CURRENT_SOURCE_DIR}/${_module}/${_module}testutils.cpp)
    if (EXISTS ${utilsFile})
        list(APPEND testSources ${utilsFile})
    endif()
    ecm_add_test(${testSources}
        LINK_LIBRARIES kgapitest KPimGAPICore ${extraLibs}
        TEST_NAME ${_testname}
        NAME_PREFIX ${_module}-
    )
endmacro(add_libkgapi2_test)

ecm_add_test(fakenamtest.cpp LINK_LIBRARIES kgapitest KPimGAPICore TEST_NAME fakenamtest NAME_PREFIX fake-)

add_libkgapi2_test(core accountinfofetchjobtest)
add_libkgapi2_test(core accountmanagertest)
add_libkgapi2_test(core createjobtest)
add_libkgapi2_test(core fetchjobtest)

add_libkgapi2_test(contacts contactcreatejobtest)
add_libkgapi2_test(contacts contactdeletejobtest)
add_libkgapi2_test(contacts contactfetchjobtest)
add_libkgapi2_test(contacts contactfetchphotojobtest)
add_libkgapi2_test(contacts contactmodifyjobtest)
add_libkgapi2_test(contacts contactsgroupcreatejobtest)
add_libkgapi2_test(contacts contactsgroupdeletejobtest)
add_libkgapi2_test(contacts contactsgroupfetchjobtest)
add_libkgapi2_test(contacts contactsgroupmodifyjobtest)

add_libkgapi2_test(calendar calendarcreatejobtest)
add_libkgapi2_test(calendar calendardeletejobtest)
add_libkgapi2_test(calendar calendarfetchjobtest)
add_libkgapi2_test(calendar calendarmodifyjobtest)
add_libkgapi2_test(calendar eventcreatejobtest)
add_libkgapi2_test(calendar eventdeletejobtest)
add_libkgapi2_test(calendar eventfetchjobtest)
add_libkgapi2_test(calendar eventmodifyjobtest)
add_libkgapi2_test(calendar freebusyqueryjobtest)

add_libkgapi2_test(tasks taskcreatejobtest)
add_libkgapi2_test(tasks taskdeletejobtest)
add_libkgapi2_test(tasks taskfetchjobtest)
add_libkgapi2_test(tasks taskmodifyjobtest)
add_libkgapi2_test(tasks taskmovejobtest)
add_libkgapi2_test(tasks tasklistcreatejobtest)
add_libkgapi2_test(tasks tasklistdeletejobtest)
add_libkgapi2_test(tasks tasklistfetchjobtest)
add_libkgapi2_test(tasks tasklistmodifyjobtest)

add_libkgapi2_test(drive aboutfetchjobtest)
add_libkgapi2_test(drive changefetchjobtest)
add_libkgapi2_test(drive filecopyjobtest)
add_libkgapi2_test(drive filecreatejobtest)
add_libkgapi2_test(drive filesearchquerytest)

=== src/staticmaps/CMakeLists.txt ===
set(kgapimaps_SRCS
    staticmapmarker.cpp
    staticmappath.cpp
    staticmaptilefetchjob.cpp
    staticmapurl.cpp

    ../debug.cpp
)

ecm_generate_headers(kgapimaps_CamelCase_HEADERS
    HEADER_NAMES
    StaticMapMarker
    StaticMapPath
    StaticMapTileFetchJob
    StaticMapUrl
    PREFIX KGAPI/Maps
    REQUIRED_HEADERS kgapimaps_HEADERS
)

add_library(KPimGAPIMaps
    ${kgapimaps_SRCS}
)

generate_export_header(KPimGAPIMaps BASE_NAME kgapimaps)

add_library(KPim::GAPIMaps ALIAS KPimGAPIMaps)
# TODO: Backwards compatibility, remove in next major release
add_library(KF5::GAPIMaps ALIAS KPimGAPIMaps)
target_include_directories(KPimGAPIMaps INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPIMaps
PUBLIC
    KPim::GAPICore
    KF5::Contacts
PRIVATE
    Qt5::Network
)

set_target_properties(KPimGAPIMaps PROPERTIES
    VERSION ${KGAPI_VERSION_STRING}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIMaps
)

install(TARGETS
    KPimGAPIMaps
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapimaps_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Maps"
    COMPONENT Devel
)

install(FILES
    ${kgapimaps_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapimaps_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/maps"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIMaps
    LIB_NAME KPimGAPIMaps
    DEPS "GAPICore Contacts"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== debian/changelog ===
libkgapi (18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:32 +0100

libkgapi (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:11 +0100

libkgapi (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:24 +0200

libkgapi (18.07.90-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Add libsasl2-modules-kdexoauth2 package (moved from kdepim-runtime).

 -- Sandro Knauß <hefee@debian.org>  Tue, 18 Sep 2018 23:33:19 +0200

libkgapi (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Add libsasl2-dev to Build-Depends.
  * Add libxml2-utils, xauth, xvfb to run tests successfully.
  * Update symbols from build for 18.07.90.
  * Use DebianABIManager to handle libkpimgapicore5.
  * Update library from libkpimgapicore5 -> libkpimgapicore5abi1.
  * Update library from libkpimgapiblogger5 -> libkpimgapiblogger5abi1.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Fri, 17 Aug 2018 18:17:15 +0200

libkgapi (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * Don't duplicate 'priority' field in binary package.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:28:03 +0200

libkgapi (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Remove not needed Build-Deps.
  * Update Vcs links to salsa.
  * Enable build tests.
  * Update debian/libkpimgapi-dev.install (KF5->KPim).
  * Add symbols files.
  * Bump debhelper build-dep and compat to 11.
  * Mark libkf5gapi-data as Multi-Arch: foreign

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:47 +0100

libkgapi (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Mark libkf5gapi-dev correctly as Multi-Arch: same
  * Remove not needed Build-Deps.
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 18:01:12 +0100

libkgapi (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add missing breaks/replaces
  * Bump libkf5itemmodels-dev build dep version
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:39 +0200

libkgapi (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:39 +0000

libkgapi (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:16 +0000

libkgapi (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:28 +0000

libkgapi (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:26:26 +0000

libkgapi (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:48 +0000

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5calendarcore-dev (>= 4:18.08.3~),
               libkf5contacts-dev (>= 4:18.08.3~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5wallet-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               libsasl2-dev,
               libxml2-utils,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev,
               qttools5-dev-tools,
               qtwebengine5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/libkgapi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkgapi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkgapi

Package: libkf5gapi-data
Architecture: any
Multi-Arch: foreign
Depends: libkpimgapi-data, ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Description: Google API library for KDE -- transitional
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This is a transitional package which can be safely removed.

Package: libkpimgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5gapi-data (<< 16.12)
Breaks: libkf5gapi-data (<< 16.12)
Replaces: libkf5gapi-data (<< 16.12)
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:18.08.3~),
         libkf5contacts-dev (>= 4:18.08.3~),
         libkpimgapiblogger5abi1 (= ${binary:Version}),
         libkpimgapicalendar5 (= ${binary:Version}),
         libkpimgapicontacts5 (= ${binary:Version}),
         libkpimgapicore5abi1 (= ${binary:Version}),
         libkpimgapidrive5 (= ${binary:Version}),
         libkpimgapilatitude5 (= ${binary:Version}),
         libkpimgapimaps5 (= ${binary:Version}),
         libkpimgapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5gapi-dev (<< 16.12)
Replaces: libkf5gapi-dev (<< 16.12)
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpimgapiblogger5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPIBlogger
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpimgapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpimgapicontacts5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkpimgapicore5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPICore
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         libqt5webengine5,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpimgapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpimgapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpimgapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpimgapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.04.9)
Replaces: kdepim-runtime (<< 4:18.04.9)
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5gapi-dbg (<= 5.1.0-2~1.gbp16a3a9~)'

override_dh_auto_test:
	xvfb-run --\
	           dh_auto_test

## libkgapi 18.08.3.1

=== src/calendar/CMakeLists.txt ===
set(kgapicalendar_SRCS
    calendar.cpp
    calendarcreatejob.cpp
    calendardeletejob.cpp
    calendarfetchjob.cpp
    calendarmodifyjob.cpp
    calendarservice.cpp
    event.cpp
    eventcreatejob.cpp
    eventdeletejob.cpp
    eventfetchjob.cpp
    eventmodifyjob.cpp
    eventmovejob.cpp
    reminder.cpp
    freebusyqueryjob.cpp
    ../debug.cpp
)

ecm_generate_headers(kgapicalendar_CamelCase_HEADERS
    HEADER_NAMES
    Calendar
    CalendarCreateJob
    CalendarDeleteJob
    CalendarFetchJob
    CalendarModifyJob
    Event
    EventCreateJob
    EventDeleteJob
    EventFetchJob
    EventModifyJob
    EventMoveJob
    Reminder
    FreeBusyQueryJob
    PREFIX KGAPI/Calendar
    REQUIRED_HEADERS kgapicalendar_HEADERS
)

add_library(KPimGAPICalendar
    ${kgapicalendar_SRCS}
)

generate_export_header(KPimGAPICalendar BASE_NAME kgapicalendar)

add_library(KPim::GAPICalendar ALIAS KPimGAPICalendar)
# TODO: Backwards compatibility, remove in next major release
add_library(KF5::GAPICalendar ALIAS KPimGAPICalendar)
target_include_directories(KPimGAPICalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPICalendar
PUBLIC
    KPim::GAPICore
    KF5::CalendarCore
PRIVATE
    Qt5::Network
)

set_target_properties(KPimGAPICalendar PROPERTIES
    VERSION ${KGAPI_VERSION_STRING}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPICalendar
)

install(TARGETS
    KPimGAPICalendar
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapicalendar_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Calendar"
    COMPONENT Devel
)

install(FILES
    ${kgapicalendar_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapicalendar_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/calendar"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPICalendar
    LIB_NAME KPimGAPICalendar
    DEPS "GAPICore CalendarCore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== debian/changelog ===
libkgapi (18.08.3.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 19:09:40 +0800

## libkgapi 18.12.3

=== debian/changelog ===
libkgapi (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:19 +0100

libkgapi (18.12.3-0ubuntu1) disco; urgency=medium

  * libsasl2-dev build dep for SASL plugin moved from kdepim-runtime
  * New package for libsasl2-modules-kdexoauth2 with Breaks/Replaces
    against kdepim-runtime << 18.07.70 (18.08 pre-beta)
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:49 +0000

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5calendarcore-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               libqt5webchannel5-dev,
               libqt5webkit5-dev (>= 5.2.0~),
               libsasl2-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.6.0~),
               qtpositioning5-dev,
               qttools5-dev (>= 5.6.0~),
               qttools5-dev-tools (>= 5.6.0~),
               qtwebengine5-dev,
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/libkgapi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkggapi

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:18.12.3~),
         libkf5contacts-dev (>= 4:18.12.3~),
         libkf5coreaddons-dev (>= 5.12.0~),
         libkpimgapiblogger5 (= ${binary:Version}),
         libkpimgapicalendar5 (= ${binary:Version}),
         libkpimgapicontacts5 (= ${binary:Version}),
         libkpimgapicore5 (= ${binary:Version}),
         libkpimgapidrive5 (= ${binary:Version}),
         libkpimgapilatitude5 (= ${binary:Version}),
         libkpimgapimaps5 (= ${binary:Version}),
         libkpimgapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpimgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5gapi-data (<< 16.12)
Breaks: ${kde-l10n:all}
Replaces: libkf5gapi-data (<< 16.12), ${kde-l10n:all}
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkf5gapi-data
Architecture: any
Depends: libkpimgapi-data, ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Google API library for KDE -- transitional
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This is a transitional package which can be safely removed.

Package: libkpimgapiblogger5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpimgapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpimgapicontacts5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkpimgapicore5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         libqt5webengine5,
         ${misc:Depends},
         ${shlibs:Depends}
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpimgapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpimgapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpimgapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpimgapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.07.70)
Replaces: kdepim-runtime (<< 4:18.07.70)
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.

## libkgapi 19.04.3

=== debian/changelog ===
libkgapi (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.28.0~),
-               libkf5calendarcore-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5calendarcore-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5coreaddons-dev (>= 5.28.0~),
                libkf5kio-dev (>= 5.28.0~),
                libkf5windowsystem-dev (>= 5.28.0~),
@@ -30,8 +30,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5calendarcore-dev (>= 4:18.12.3~),
-         libkf5contacts-dev (>= 4:18.12.3~),
+Depends: libkf5calendarcore-dev (>= 4:19.04.3~),
+         libkf5contacts-dev (>= 4:19.04.3~),
          libkf5coreaddons-dev (>= 5.12.0~),
          libkpimgapiblogger5 (= ${binary:Version}),
          libkpimgapicalendar5 (= ${binary:Version}),
